Bug 220367 - databases/mariadb101-server: fatal error: 'lex_token.h' file not found
Summary: databases/mariadb101-server: fatal error: 'lex_token.h' file not found
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-29 21:22 UTC by iron.udjin
Modified: 2017-08-03 14:57 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description iron.udjin 2017-06-29 21:22:23 UTC
Hello,

The problem appeared after port has been updated from 10.1.23_1 to 10.1.23_2:

[3/445] /usr/bin/c++  -DEMBEDDED_LIBRARY -DHAVE_CONFIG_H -DHAVE_OPENSSL -DMYSQL_SERVER -Iinclude -Ilibmysql -Ilibmysqld -Isql -Ipcre -I/usr/local/include -O2 -pipe -march=native -march=native -fstack-protector -fno-strict-aliasing -DWITH_INNODB_DISALLOW_WRITES -fno-exceptions -fno-rtti -O2 -pipe -march=native -march=native -fstack-protector -fno-strict-aliasing -DDBUG_OFF   -fPIC -MD -MT libmysqld/CMakeFiles/sql_embedded.dir/__/sql/sql_yacc.cc.o -MF libmysqld/CMakeFiles/sql_embedded.dir/__/sql/sql_yacc.cc.o.d -o libmysqld/CMakeFiles/sql_embedded.dir/__/sql/sql_yacc.cc.o -c sql/sql_yacc.cc
FAILED: libmysqld/CMakeFiles/sql_embedded.dir/__/sql/sql_yacc.cc.o 
/usr/bin/c++  -DEMBEDDED_LIBRARY -DHAVE_CONFIG_H -DHAVE_OPENSSL -DMYSQL_SERVER -Iinclude -Ilibmysql -Ilibmysqld -Isql -Ipcre -I/usr/local/include -O2 -pipe -march=native -march=native -fstack-protector -fno-strict-aliasing -DWITH_INNODB_DISALLOW_WRITES -fno-exceptions -fno-rtti -O2 -pipe -march=native -march=native -fstack-protector -fno-strict-aliasing -DDBUG_OFF   -fPIC -MD -MT libmysqld/CMakeFiles/sql_embedded.dir/__/sql/sql_yacc.cc.o -MF libmysqld/CMakeFiles/sql_embedded.dir/__/sql/sql_yacc.cc.o.d -o libmysqld/CMakeFiles/sql_embedded.dir/__/sql/sql_yacc.cc.o -c sql/sql_yacc.cc
/usr/ports/databases/mariadb101-server/work/mariadb-10.1.23/sql/sql_yacc.yy:64:10: fatal error: 'lex_token.h' file not found
#include "lex_token.h"
         ^~~~~~~~~~~~~
1 error generated.
ninja: build stopped: subcommand failed.
*** Error code 1

System: 11.1-BETA3 r320389 built from sources
Comment 1 supers 2017-07-02 09:13:56 UTC
Same issue here with 11-STABLE.

/usr/bin/c++  -DEMBEDDED_LIBRARY -DHAVE_CONFIG_H -DHAVE_OPENSSL -DMYSQL_SERVER -Iinclude -Ilibmysql -Ilibmysqld -Isql -Ipcre -I/usr/local/include -O2 -pipe -march=native -fstack-protector -fno-strict-aliasing -DWITH_INNODB_DISALLOW_WRITES -fno-exceptions -fno-rtti -O2 -pipe -march=native -fstack-protector -fno-strict-aliasing -DDBUG_OFF -DMY_PTHREAD_FASTMUTEX=1   -fPIC -MD -MT libmysqld/CMakeFiles/sql_embedded.dir/__/sql/sql_yacc.cc.o -MF libmysqld/CMakeFiles/sql_embedded.dir/__/sql/sql_yacc.cc.o.d -o libmysqld/CMakeFiles/sql_embedded.dir/__/sql/sql_yacc.cc.o -c sql/sql_yacc.cc
/usr/ports/databases/mariadb101-server/work/mariadb-10.1.23/sql/sql_yacc.yy:64:10: fatal error: 'lex_token.h' file not found
#include "lex_token.h"
         ^~~~~~~~~~~~~
1 error generated.

# cc --version
FreeBSD clang version 4.0.0 (tags/RELEASE_400/final 297347) (based on LLVM 4.0.0)
Target: x86_64-unknown-freebsd11.1
Thread model: posix
InstalledDir: /usr/bin
Comment 2 Bernard Spil freebsd_committer 2017-07-02 10:19:33 UTC
Please only set maintainer-feedback flag when a patch is attached.
Maintainer will get a notification of the bug anyway and you should expect response.
Comment 3 commit-hook freebsd_committer 2017-07-02 13:32:23 UTC
A commit references this bug:

Author: brnrd
Date: Sun Jul  2 13:32:16 UTC 2017
New revision: 444882
URL: https://svnweb.freebsd.org/changeset/ports/444882

Log:
  databases/mariadb101-server: Update to 10.1.24

   - Regression fix update to 10.1.24
   - Backport option groups for groonga and compression
   - Use OS' libs, not bundled versions (lz4, lzo, snappy)
   - Add xml and odbc options for connect engine
   - Remove InnoDB/XtraDB fix (included upstream)
   - Fix bison issue [220367]

  PR:		220367
  Reported by:	iron@mail.ua

Changes:
  head/databases/mariadb101-server/Makefile
  head/databases/mariadb101-server/distinfo
  head/databases/mariadb101-server/files/patch-MDEV-12281
Comment 4 iron.udjin 2017-07-03 10:04:22 UTC
(In reply to Bernard Spil from comment #2)

Bernard, I didn't set maintainer-feedback flag by hands. It seems it was set automaticly whet I added "databases/mariadb101-server:" at the beginning of bug name.

Thank you for fix.
Comment 5 commit-hook freebsd_committer 2017-08-03 14:57:46 UTC
A commit references this bug:

Author: feld
Date: Thu Aug  3 14:57:37 UTC 2017
New revision: 447220
URL: https://svnweb.freebsd.org/changeset/ports/447220

Log:
  MFH: r444882 r446504

  databases/mariadb101-server: Update to 10.1.24

   - Regression fix update to 10.1.24
   - Backport option groups for groonga and compression
   - Use OS' libs, not bundled versions (lz4, lzo, snappy)
   - Add xml and odbc options for connect engine
   - Remove InnoDB/XtraDB fix (included upstream)
   - Fix bison issue [220367]

  PR:		220367
  Reported by:	iron@mail.ua

  databases/mariadb101-server: Fix re-definition of OPTIONS_DEFINE

   - Fix double definition of OPTIONS_DEFINE

  PR:		220527
  Submitted by:	Naram Qashat <cyberbotx@cyberbotx.com>

  Approved by:	port-secteam (with hat)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/databases/mariadb101-server/Makefile
  branches/2017Q3/databases/mariadb101-server/distinfo
  branches/2017Q3/databases/mariadb101-server/files/patch-MDEV-12281